Subject: Re: Progress
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 11 Jan 2001 02:09:00 -0800 (PST)

Steve,

Thanks a lot. I think that having the pseudo code will go a long way towards 
understanding how the system works and making sure that there are no
bugs in translation of a business problem (for example, complicated
credit insurance deals with multiple triggers and conditionality) into the 
code.

Regarding Tanya's attitude. Just a few points. 

1. I don't think she has the skills to do the system administrator's work
and she does not have the
necessary privileges. This explains why she keeps asking Winston for help. 
It's
not that the work is beneath her.

2. Some members of Tanya's team came to me complaining about Winston.
He effectively told them to go away and work on the "research projects"
and that he would take care of the IT issues. I don't think that it's just 
Tanya's issue,
though I agree that a more outgoing personality would be helpful.

3. The reality of this situation is that the internal customers beat  on 
Tanya and
me whenever there is any performance problems and/or they intuitively
disagree with the results of a run. They could not care less about the
demarcation line between IT and Research. They also want Tanya
to sign off on the model and she cannot do it without full access to the code.

The bottom line is that we are in full agreement: Tanya and
Winston have to work as a team and I shall work on my end to make sure that 
it happens.
Credit is emerging as a critical issue for Enron for the next few weeks and
the system cannot fail.

Vince

From: Stephen Stock/ENRON@enronXgate on 01/11/2001 08:23 AM
To: Vince J Kaminski/HOU/ECT@ECT
cc:  
Subject: Progress

Vince,

I got feedback from the lunchtime research meeting that you were talking 
about some specific solutions to performance of IT systems... In particular 
distributed processing. Also I heard that you had concerns about the use of 
multiple languages etc....

Both of these sound like what I was discussing with you on previous 
occasions... Do you feel the need to discuss these further?

The multi-language issue isn't really that much of an issue, as the current 
system is 98% java right now. Although I am a big fan of C/C++(it is my main 
development skill) , I am also very aware that Java is a much more evolved 
and robust language. I had serious doubts about the performance, but I've had 
a review conducted, and the results are showing the Sun Unix implementation 
to be nearly as fast and in some cases faster than C/C++ because of something 
they call Hot-Spot technology. (its an instruction caching technique, I 
believe). The concerns I expressed to you, were really about how technical 
people justify the use of a language on the strength of a relatively 
meaningless metric like portability.

On the issue of distributed processing... the original review I had conducted 
by our architecture group pointed to that as a solution, and as Zhiyong Wei 
is already working on Global Valuation project, Winston is actively working 
with Zhiyong to see if he can model the VaR architecture on that, and also to 
find a common Valuation piece between the systems.

I'd like the opportunity to talk to you about these issues if you have some 
time over the next few days?

Also, I sat in on the Tanya / Winston meeting yesterday and as per our 
discussion at the elevator, I attempted to help her argument by suggesting to 
all present that she was trying to perform triage on the code... I.e. 
Seperating research domain problems from IT problems.

She said that stepping through code was the only real way in which she could 
get a feel for where performance bottlenecks were. I asked her how she would 
measure that, and she said she would instrument the code manually by 
inserting timing elements at strategic points. I mentioned that a profiling 
tool could probably do this job for her. Tanya again said that stepping 
through code is the only way she can get an idea of the code, and that 
studying documentation wasn't enough. 

About 6 weeks ago, I commissioned a team to document the system down to 
psuedo-code level and will be able to provide this to you and your team soon. 
(in fact I've asked for a draft copy to be given to Tanya right now), and 
Winston is also working on a draft Research/IT "working together" document, 
which will identify how the exchange of information takes place.

Tanya also gave the impression that she wants a dedicated IT developer to do 
all the environment setup for her, because she doesn't really want to have to 
do that. I think that this is probably the root cause of the issue. The IT 
guys are working very hard and her handling of the situation is not good, as 
it gives the impression that this kind of work is beneath her. She is 
claiming that they are un-cooperative.... they are claiming that she 
continually asks the same questions about set-up over and over again, and 
doesn't seem to want to learn how to do it. Winston on the other hand, could 
be more proactive in determining what is a business related model issue and 
an IT issue and ask for help from research.

I think you Debbie and I need to work quite hard to get them to play nicely.

I have asked Tanya and Winston to go ahead and work very closely together 
over the next few days....and Debbie Brackett and I will review their 
progress on Friday. 

In the meantime l'll be looking at setting up a working test environment that 
doesn't involve my main Quant guys in day to to day setup issues as a longer 
term solution.

Regards

Steve